function [flag] =fn_Check_variables(vec)
% Function fn_Check_variables
%-------------------------------------
% DESCRIPTION:
% the function checks if the variables contained in the structure vec are
% numbers or not
% 
%-------------------------------------
% INPUT:
%-------------------------------------
% vec: Structure containing variables to check
%-------------------------------------
% OUTPUT:
%-------------------------------------
% flag:    0 if variables are numeric, 1 if not
flag=0;
struct_name=fieldnames(vec);
if length(struct_name)>1
    for i=1:length(struct_name)
        val=length(vec.(struct_name{i}))>1 | isreal(vec.(struct_name{i}))==0 | isinf(vec.(struct_name{i})) | length(vec.(struct_name{i}))==0;
        if val==1 
            h=warndlg('Some value is not numeric, please check the input','Check the input');
            warning('Some value is not numeric')
            waitfor(h)
            flag=1;
        end  
        if isempty(val)
            h=warndlg('Some value is not numeric, please check the input','Check the input');
            warning('Some value is not numeric')
            waitfor(h)
            flag=1;
        end  
    end
else
    i=1;
    val=length(vec.(struct_name{i}))>1 | isreal(vec.(struct_name{i}))==0 | length(vec.(struct_name{i}))==0;
    if  val==1 
            h=warndlg('This value is not numeric, please check the input','Check the input');
            warning('This value is not numeric')
            waitfor(h)
            flag=1;
    end  
    if isempty(val)
            h=warndlg('Some value is not numeric, please check the input','Check the input');
            warning('Some value is not numeric')
            waitfor(h)
            flag=1;
    end  
end
