function [handles1]=fn_EH_rout_y(handles)     
    
% fn_EH_rout
%-------------------------------------
% DESCRIPTION:
% the function allows to set routine data when EH material is
% choosen
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
    handles.flag_cyclic=[];
    handles.flag_for_ida=[];
    handles.flag_for_msa=[];
    handles.flag_for_dyn=[];
    handles.flag_for_B2B=[];
    cla(handles.axes3)

    set(handles.axes3,'YTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    set(handles.axes3,'XTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    xlabel(handles.axes3,'EDP','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    ylabel(handles.axes3,'S_a(g)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    axes(handles.axes3)
    xlim([0 1])
    ylim([0 1])
    grid on
    set(handles.pushbutton36,'visible','off')

    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    fprintf(fid,'set H_kin_per_y [expr %f] \n',handles.H_kin_y);
    fprintf(fid,'set H_iso_per_y [expr %f] \n',handles.H_iso_y);
    fprintf(fid,'set H_tot_y [expr %g] \n',handles.H_tot_y);
    fclose(fid);
    handles.mat_y='eh_mat';
if isempty(handles.mat)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    fprintf(fid,'set H_kin_per [expr %f] \n',handles.H_kin_y);
    fprintf(fid,'set H_iso_per [expr %f] \n',handles.H_iso_y);
    fprintf(fid,'set H_tot [expr %g] \n',handles.H_tot_y);
    fclose(fid);
    handles.mat='eh_mat';
end
if ~isempty(handles.fy) & ~isempty(handles.deltay)
        set(handles.pushbutton27,'enable','on')
        set(handles.pushbutton24,'enable','off')
        set(handles.pushbutton31,'enable','off')
        set(handles.pushbutton30,'enable','off')
        set(handles.radiobutton6,'enable','on')
        set(handles.radiobutton11,'enable','on')
        set(handles.radiobutton12,'enable','on')
        set(handles.radiobutton10,'enable','on')
        set(handles.radiobutton7,'enable','on')
        set(handles.radiobutton6,'value',1)
        set(handles.radiobutton7,'value',0)
        set(handles.radiobutton11,'value',0)
        set(handles.radiobutton10,'value',0)
        set(handles.radiobutton12,'value',0)
        set(handles.pushbutton41,'enable','off')
end
handles1=handles;    