function [filename_new] = fn_check_rec_ext(filename,path)
cd(path)  % folder containing records
for i=1:length(filename)
  [~,name,ext] = fileparts(filename{i});
  if strcmp(ext,'.ASC')

            filename_=[name,'.AT2'];
            % filename=[part1{i},'_','.AT2'];
            [Acc,record_dt,NPTS] = parseESM(filename{i});
            Acc=Acc/981;


            rec_header1 = 'PEER NGA STRONG MOTION DATABASE RECORD';
            rec_header2 =name;
            rec_header3 =  'ACCELERATION TIME SERIES IN UNITS OF G';
            rec_header4 = strcat(num2str(NPTS),{'    '},num2str(record_dt),{'    NPTS, DT'});

            outdir=path;

            outname = strcat(outdir,filename_);
            fid=fopen(outname,'wt');

            fprintf(fid,'%12.8e %12.8e %12.8e %12.8e %12.8e\n',Acc);
            fprintf(fid,'%s\r',rec_header1,rec_header2,rec_header3,rec_header4{1});
            fclose(fid);
            filename_new{i}=filename_;
  else
            filename_new{i}=filename{i};
  end
end

