function fn_handl_enab(str_,fl)
%handl_enab
% Set handles enable for handles included in str_
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% str_:           structure containing handles to set visibility
% fl:             1 for enable on, other values for off
%--------------------------------------------------------------------------
% OUTPUT:
%-------------------------------------------------------------------------

if nargin<2
    fl=[];
end
name_=fieldnames(str_);
if fl==1
    for i=1:length(name_)
        set(str_.(name_{i}),'enable','on');
    end
else
    for i=1:length(name_)
        set(str_.(name_{i}),'enable','off');
    end
end