function fn_handl_visib(str_,fl)
%handl_visib 
% Set handles visibility for handles included in str_
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% str_:           structure containing handles to set visibility
% fl:             1 for visible on, other values for off
%--------------------------------------------------------------------------
% OUTPUT:
%-------------------------------------------------------------------------

if nargin<2
    fl=[];
end
name_=fieldnames(str_);
if fl==1
    for i=1:length(name_)
        set(str_.(name_{i}),'visible','on');
    end
else
    for i=1:length(name_)
        set(str_.(name_{i}),'visible','off');
    end
end