function [stripe,h]=fn_interp_EDP(sa_range,ida_int,lim_,max_val)
if nargin <4
    max_val=max(max(ida_int'));
end

stripe=interp1(sa_range,ida_int',lim_);

for i=1:length(lim_)
    hold on
    h1(i)=plot([0 max_val],ones(1,2).*lim_(i),'--','color','r','linewidth',2.5);
    hold on
    h2(i)=plot(stripe(i,:),ones(1,length(stripe)).*lim_(i),'o','LineWidth',2,...
        'MarkerEdgeColor','k',...
        'MarkerFaceColor','r',...
        'MarkerSize',4);
end
h=[h1,h2];
