function [EDP_act]=fn_plotMSA(data_,d_lim_D_C,muf,ni,fl_for_lim,flag,fy,mass,deltay,per,zeta,EDP_flag,d_collapse,flag_no_sc)
if nargin<14
    flag_no_sc=0;
end
if nargin<13
    d_collapse=d_lim_D_C;
    flag_no_sc=0;
end
if nargin<12
    EDP_flag=1;
    d_collapse=d_lim_D_C;
    flag_no_sc=0;
end
sax=fy/mass/9.81; %g
if flag==2
    [EDP_act,dlabel]=fn_check_EDP_IM_MSA_1dir(data_,EDP_flag,d_lim_D_C,flag_no_sc);
else
    [EDP_act,IM_act]=fn_check_EDP_IM_mu_r_msa_1dir(data_,EDP_flag,deltay,sax,flag_no_sc);
   d_collapse=d_collapse/deltay;
end
 EDP_act=abs(EDP_act);
if flag_no_sc~=1
    if fl_for_lim~=0 && ~isempty(d_collapse)
        for i=1:length(data_.IM)
            hold on
                for j=1:length(EDP_act(i,:))
                        if d_collapse>=EDP_act(i,j)
                            col_=[.5 .5 .5];
                        else
                            col_='r';
                        end
                        if flag==2
                            plot(EDP_act(i,j),data_.IM(i),'o',...
                            'LineWidth',1,...
                            'MarkerEdgeColor','k',...
                            'MarkerFaceColor',col_,...
                            'MarkerSize',7)
                        else
                            plot(EDP_act(i,j),IM_act(i),'o',...
                            'LineWidth',1,...
                            'MarkerEdgeColor','k',...
                            'MarkerFaceColor',col_,...
                            'MarkerSize',7)
                        end
                end
        end
    else
        if flag==2
             for i=1:length(data_.IM)
                 hold on
                plot(EDP_act(i,:),ones(1,length(EDP_act(i,:)))*data_.IM(i),'o',...
                'LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor',[.5 .5 .5],...
                'MarkerSize',7)
             end
        else
             for i=1:length(data_.IM)
                 hold on
                plot(EDP_act(i,:),ones(1,length(EDP_act(i,:)))*IM_act(i),'o',...
                'LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor',[.5 .5 .5],...
                'MarkerSize',7)
             end        
        end
    end
    if fl_for_lim~=0 && ~isempty(d_collapse)
        hold on
        if flag==2
            plot(ones(1,2).*d_collapse,[0 max(data_.IM)*2],'--','color','r','linewidth',2.5)
        else
            plot(ones(1,2).*d_collapse,[0 max(IM_act)*2],'--','color','r','linewidth',2.5)
        end
    end
else
    if flag==2
        plot(EDP_act,data_.IM_cl,'o',...
        'LineWidth',1,...
        'MarkerEdgeColor','k',...
        'MarkerFaceColor',[.5 .5 .5],...
        'MarkerSize',7)
    else
        plot(EDP_act,IM_act,'o',...
        'LineWidth',1,...
        'MarkerEdgeColor','k',...
        'MarkerFaceColor',[.5 .5 .5],...
        'MarkerSize',7)
    end
end

if flag==2
    xlabel(dlabel,'FontWeight','normal','FontSize',10,'FontName','Times New Roman')
        if length(per)>1
            slabel=['Sa,_a_v_g ( v=',num2str(zeta,'%.1f'),' % )',' [g]'];  
        else
            slabel=['S_a (T=' num2str(per,'%.2f'),' s , v=',num2str(zeta,'%.1f'),' % )',' [g]'];
        end
    ylabel(slabel,'FontWeight','normal','FontSize',10,'FontName','Times New Roman')  
    [aa,bb]=size(EDP_act);
    if sum(sum(isnan(EDP_act)))~=(aa*bb)
        xlim([.95*min(min(EDP_act)),1.05*max(max(EDP_act))])
    end
    if flag_no_sc==0
        ylim([.95*min(data_.IM),max(data_.IM)*1.05])
    else
        ylim([.95*min(data_.IM_cl),max(data_.IM_cl)*1.05])
    end
else
    xlabel('\mu','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    ylabel('R','FontWeight','normal','FontSize',10,'FontName','Times New Roman')  
    xlim([.95*min(min(EDP_act)),1.05*max(max(EDP_act))])
    ylim([.95*min(IM_act),max(IM_act)*1.05])
end
grid on