function [h,handles1]=fn_plot_save_time_hist(perc,dir,valsave)
if nargin<3
    valsave=[];
end



if isempty(valsave)
    a=load([perc,'/osees/simplestSDOF/','Disp.out']);
else
    a=valsave.disp;
end
dt=a(2,1)-a(1,1);
t=dt:dt:dt*length(a);
if dir==2
    a_x=a(:,2);
    a_y=a(:,5);
    figure;
    subplot(2,1,1)
    plot(t,a_x,'LineWidth',1.5,'Color',[.5 .5 .5]);
    xlabel('Time (s)','FontWeight','normal','FontSize',12,'FontName','Times New Roman')
    ylabel('Displacement along X (m)','FontWeight','normal','FontSize',12,'FontName','Times New Roman')
    grid on
     set(gca,'fontsize',12)
    set(gcf,'position',[ 410   661   738   271])
    subplot(2,1,2)
    plot(t,a_y,'LineWidth',1.5,'Color',[.5 .5 .5]);
    xlabel('Time (s)','FontWeight','normal','FontSize',12,'FontName','Times New Roman')
    ylabel('Displacement along Y (m)','FontWeight','normal','FontSize',12,'FontName','Times New Roman')
    set(gcf,'position',[ 410   661   738   271])
    grid on
    h=get(gcf,'CurrentAxes');
    set(gca,'fontsize',12)
    handles1.disp_x=a_x;
    handles1.disp_y=a_y;
    handles1.t=t';
else
    a=a(:,2);
    figure;
    plot(t,a,'LineWidth',1.5,'Color',[.5 .5 .5]);
    xlabel('Time (s)','FontWeight','normal','FontSize',12,'FontName','Times New Roman')
    ylabel('Displacement (m)','FontWeight','normal','FontSize',12,'FontName','Times New Roman')
    set(gcf,'position',[ 410   661   738   271])
    grid on
    h=get(gcf,'CurrentAxes');
    set(gca,'fontsize',12)
    handles1.disp=a;
    handles1.t=t';
end