function [handles1]=fn_pop2_call(handles)
cla(handles.axes3)
axes(handles.axes3)
set(handles.axes3, 'XTickMode', 'auto', 'XTickLabelMode', 'auto')
set(handles.axes3, 'YTickMode', 'auto', 'YTickLabelMode', 'auto')
if ~get(handles.radiobutton14,'value')==1
        if ~isempty(handles.flag_for_ida)
            cd([handles.pwd_opening,'\osees\simplestSDOF\'])
            ida=load([handles.nameIDA,'.mat']);
            cd(handles.pwd_opening)
            if isempty(handles.IM_choosen)
                handles.IM_choosen=1;
            end
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                cla(handles.axes3)
                axes(handles.axes3)
                set(handles.axes3, 'XTickMode', 'auto', 'XTickLabelMode', 'auto')
                set(handles.axes3, 'YTickMode', 'auto', 'YTickLabelMode', 'auto')
                % yielding displacement and accelleration
                sax=(handles.fy/(handles.T^2/(4*pi^2)*(handles.fy/handles.deltay)))/9.81;
                say=(handles.fy_y/(handles.T_y^2/(4*pi^2)*(handles.fy_y/handles.deltay_y)))/9.81;
                y_val=[handles.deltay,handles.deltay_y,sax,say];
                infEDP_lim=[handles.infEDP,handles.infdr];
                [handles.sa_range,~,handles.cv_IDA,handles.drval,infEDP_mod,handles.saval,handles.dr_range]=run_IDA_plot_NoSpo2frag_2dir(ida,handles.pwd_opening,y_val,[],handles.Nvals,infEDP_lim,handles.relaxNaNs,handles.fitcode,[get(handles.popupmenu1,'value')],handles.T_2_tint,handles.damp_2_tint,handles.IM_choosen,handles.EDP_choosen);
%                 handles.infdr=handles.infEDP;
        end
        if ~isempty(handles.flag_for_msa)
            cd(handles.pwd_opening)
            % Minor valore di snervamento nelle 2 direzioni:
            fy_min_x=min(abs(handles.fy_neg),handles.fy);
            fy_min_y=min(abs(handles.fy_neg_y),handles.fy_y);
            kx=handles.fy/handles.deltay;
            mass_x=handles.T^2/(4*pi^2)*kx;
            ky=handles.fy_y/handles.deltay_y;
            mass_y=handles.T_y^2/(4*pi^2)*ky;
            cd([handles.pwd_opening,'\osees\simplestSDOF\'])
            data_=load([handles.nameMSA,'.mat']);
            cd(handles.pwd_opening)
            if isempty(handles.disp_lim)
                [handles.EDP_act]=fn_plotMSA_2dir(data_,handles.infEDP,0,get(handles.popupmenu1,'value'),fy_min_x,fy_min_y,mass_x,mass_y,handles.deltay,handles.deltay_y,data_.per,data_.zeta,data_.direction_IM,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
            else
                [handles.EDP_act]=fn_plotMSA_2dir(data_,handles.infEDP,1,get(handles.popupmenu1,'value'),fy_min_x,fy_min_y,mass_x,mass_y,handles.deltay,handles.deltay_y,data_.per,data_.zeta,data_.direction_IM,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
            end
        end
else
            if ~isempty(handles.flag_for_ida)
                cd([handles.pwd_opening,'\osees\simplestSDOF\'])
                ida=load([handles.nameIDA,'.mat']);
                cd(handles.pwd_opening)
                if isempty(handles.IM_choosen)
                    handles.IM_choosen=1;
                end
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
               % yielding displacement and accelleration
                sax=(handles.fy/(handles.T^2/(4*pi^2)*(handles.fy/handles.deltay)))/9.81;
                infEDP_lim=[handles.infEDP,handles.infdr];
                [handles.sa_range,~,handles.cv_IDA,handles.drval,infEDP_mod,handles.saval,handles.dr_range]=run_IDA_plot_NoSpo2frag(ida,handles.pwd_opening,handles.deltay,[],handles.Nvals,infEDP_lim,handles.relaxNaNs,handles.fitcode,[get(handles.popupmenu1,'value')],handles.T_2_tint,handles.damp_2_tint,1,handles.EDP_choosen);
%                 handles.infdr=handles.infEDP;
            end
        if ~isempty(handles.flag_for_msa)
            % Minor valore di snervamento nelle 2 direzioni:
            fy_min=min(abs(handles.fy_neg),handles.fy);
            kx=handles.fy/handles.deltay;
            mass=handles.T^2/(4*pi^2)*kx;
            cd([handles.pwd_opening,'\osees\simplestSDOF\'])
            data_=load([handles.nameMSA,'.mat']);
            cd(handles.pwd_opening)

            if isempty(handles.disp_lim)
                [handles.EDP_act]=fn_plotMSA(data_,handles.infEDP,handles.T,handles.damp,0,get(handles.popupmenu1,'value'),fy_min,mass,handles.deltay,data_.per,data_.zeta,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);

            else
                [handles.EDP_act]=fn_plotMSA(data_,handles.infEDP,handles.T,handles.damp,1,get(handles.popupmenu1,'value'),fy_min,mass,handles.deltay,data_.per,data_.zeta,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
            end
        end    
        if ~isempty(handles.flag_for_B2B)
                cd([handles.pwd_opening,'\osees\simplestSDOF\'])
                B2B=load([handles.nameB2B,'.mat']);
                cd(handles.pwd_opening)
                if isempty(handles.IM_choosen)
                    handles.IM_choosen=1;
                end
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
               % yielding displacement and accelleration
                sax=(handles.fy/(handles.T^2/(4*pi^2)*(handles.fy/handles.deltay)))/9.81;
                infEDP_lim=[handles.infEDP,handles.infdr];
                [handles.sa_range,~,handles.cv_B2B,handles.drval,infEDP_mod,handles.saval,handles.dr_range]=run_IDA_plot_NoSpo2frag(B2B,handles.pwd_opening,handles.deltay,[],handles.Nvals_B2B,infEDP_lim,handles.relaxNaNs_B2B,handles.fitcode,[get(handles.popupmenu1,'value')],handles.T_2_tint_B2B,handles.damp_2_tint_B2B,1,handles.EDP_choosen);

        end
end
handles1=handles;