function [EDP_choosen,IM_choosen]=fn_set_flag_IM_EDP(handles)   
% fn_reset_handles
%-------------------------------------
% DESCRIPTION:
% the function allows to reset handles when a new analysis or a new
% material or a new backbone are to be set
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% EDP_choosen: flag for EDP;
% IM_choosen:  flag for IM;
%--------------------------------------------------------------------------

val6=get(handles.checkbox6,'value');
val7=get(handles.checkbox7,'value');
val8=get(handles.checkbox8,'value');
val10=get(handles.checkbox10,'value');
val20=get(handles.radiobutton20,'value');
val21=get(handles.radiobutton21,'value');
val22=get(handles.radiobutton22,'value');
val23=get(handles.radiobutton23,'value');
val24=get(handles.radiobutton24,'value');
val25=get(handles.radiobutton25,'value');
val26=get(handles.radiobutton26,'value');
val27=get(handles.radiobutton27,'value');
if get(handles.radiobutton14,'value')==1
        if val6==1 && val20==1
            EDP_choosen=1;
        elseif val7==1 && val20==1
            EDP_choosen=2;
        end
        if val10==1
            EDP_choosen=EDP_choosen+2;
        end
        IM_choosen=1;
else
    if val6==1 && val20==1
        EDP_choosen=1;
    elseif val6==1 && val21==1
        EDP_choosen=2;
    elseif val6==1 && val22==1
        EDP_choosen=5;
    elseif val6==1 && val23==1
        EDP_choosen=7;
    elseif val7==1 && val20==1
        EDP_choosen=3;
    elseif val7==1 && val21==1
        EDP_choosen=4;
    elseif val7==1 && val22==1
        EDP_choosen=6;
    elseif val7==1 && val23==1
        EDP_choosen=8;    
    end
    if val10==1
        EDP_choosen=EDP_choosen+8;
    end

    if val8==1 && val24==1
        IM_choosen=1;
    elseif val8==1 && val25==1
        IM_choosen=2;
    elseif val8==1 && val26==1
        IM_choosen=3;
    elseif val8==1 && val27==1
        IM_choosen=4;
    end
end
