clc
clear all
close all
cd C:\Users\qwerty\Dropbox\me\Vamvatsikos_SDOF\osees\PPT_Speed_ann_EMILIA  % folder containing records
clear filenames
fnames=dir('*.d');              % .ASC is ESM record file extension: 
                                  % change at will to read other file formats!
numfids = length(fnames);
filenames = cell(1,numfids);
for K = 1:numfids
  filenames{K} =fnames(K).name;
end
% filenames cell, now contains all record names.
% make sure to properly distinguish horizontal from vertical components!

for i=1:length(filenames)
C{i} = strsplit(filenames{i},'.');
filename=strcat(C{i}(1),'_ns','.AT2');
[Acc_ew,Acc_ns,record_dt,NPTS] = parse_d(filenames{i});
    rec_header1 = 'PEER NGA STRONG MOTION DATABASE RECORD';
    rec_header2 = [filename];
    rec_header3 =  'ACCELERATION TIME SERIES IN UNITS OF G';
    rec_header4 = strcat(num2str(NPTS),{'    '},num2str(record_dt),{'    NPTS, DT'});
outdir='PPT_Speed_ann_EMILIA_AT2\';
outname = strcat(outdir,filename{1});
fid=fopen(outname,'wt');
fprintf(fid,'%s\r',rec_header1,rec_header2{1},rec_header3,rec_header4{1});
fprintf(fid,'%12.8e %12.8e %12.8e %12.8e %12.8e\n',Acc_ns);
fclose(fid);

% filename_2=strcat(C{i}(1),'_ns','.AT2');
% % Acc=Acc/981;
%     rec_header1 = 'PEER NGA STRONG MOTION DATABASE RECORD';
%     rec_header2 = [filename_2];
%     rec_header3 =  'ACCELERATION TIME SERIES IN UNITS OF G';
%     rec_header4 = strcat(num2str(NPTS),{'    '},num2str(record_dt),{'    NPTS, DT'});
% 
% outdir='Records_EMILIA_AT2\';
% outname = strcat(outdir,filename_2{1});
% fid=fopen(outname,'wt');
% fprintf(fid,'%s\r',rec_header1,rec_header2{1},rec_header3,rec_header4{1});
% fprintf(fid,'%12.8e %12.8e %12.8e %12.8e %12.8e\n',Acc_ns);
% fclose(fid);
end