function [flag] =fn_Check_variables_VECTOR_mod(vec)
% Function fn_Check_variables_VECTOR_mod
%-------------------------------------
% DESCRIPTION:
% the function checks if the variables contained in the structure vec are
% numbers or not. It is slightly different from fn_Check_variables_VECTOR
% because it doesn't consider as errors empty cells
% 
%-------------------------------------
% INPUT:
%-------------------------------------
% vec: Structure containing variables to check. Each cell is a vector!
%-------------------------------------
% OUTPUT:
%-------------------------------------
% flag:    0 if variables are numeric, 1 if not
flag=0;
struct_name=fieldnames(vec);
j=1;
vector=vec.(struct_name{j});
if ~isempty(vector)
    for i=1:length(vector)
        if length(vector(i))>1 | isreal(vector(i))==0 | length(vector(i))==0
                h=warndlg('This value is not numeric, please check the input','Check the input');
                warning('This value is not numeric')
                waitfor(h)
                flag=1;
        end  
    end
else
%         h=warndlg('This value is not numeric, please check the input','Check the input');
%         warning('This value is not numeric')
%         waitfor(h)
%         flag=1;
end
