function [ind_]=fn_check_B2B_analysis(AS,MS)
% Function  fn_check_B2B_analysis
%-------------------------------------
% DESCRIPTION:
% the function allows to set a single AS for each MS, avoiding AS is
% repeated
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% AS=Records selected for Aftershock
% MS=Records selected for Mainshock
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% ind_: index of AS selected
%--------------------------------------------------------------------------
if length(AS)>=length(MS)
    for J=1:length(MS)
    clear ind_for_ch 
    ind_(J)=randperm(length(AS),1);
        if J>1
            ind_for_ch=ind_(1:J-1);
        else
            ind_for_ch=0.1;
        end
        while strcmp(AS(ind_(J)),MS(J)) || ~isempty(find(ind_(J)==ind_for_ch))
            ind_(J)=randperm(length(AS),1);       
        end
    end
else
    ind_=[];
end
% test=length(unique(ind_));
% mat_=[MS,AS(ind_)];