 function [handles1]=fn_check_data_for_dir(handles)  
% ffn_check_data_for_dir%-------------------------------------
% DESCRIPTION:
% the function allows to check the presence of needful data for direction
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
val_14=get(handles.radiobutton14,'value');
if val_14~=1
    if isempty(handles.flag_IMK_GUI_y) & isempty(handles.flag_Clough_GUI_y) & isempty(handles.flag_pinch4_y) & isempty(handles.flag_EH_GUI_y) & isempty(handles.flag_steel1_GUI_y) & isempty(handles.flag_IMK_GUI_bilin_y)
            h=warndlg('Material in direction y is not been set, so it will be used the same material for both direction!','Warning');
            warning('Material in direction y is not been set, so it will be used the same material for both direction!');
            waitfor(h)           
            handles.gK1_y=handles.gK1;
            handles.gK2_y=handles.gK2;
            handles.gK3_y=handles.gK3;
            handles.gK4_y=handles.gK4;
            handles.gKLim_y=handles.gKLim;
            handles.dmgType_y=handles.dmgType;
            handles.uForceN_y=handles.uForceN;
            handles.uForceP_y=handles.uForceP;
            handles.gE_y=handles.gE;
            handles.gD1_y=handles.gD1;
            handles.gD2_y=handles.gD2;
            handles.gD3_y=handles.gD3;
            handles.gD4_y=handles.gD4;
            handles.gDLim_y=handles.gDLim;
            handles.gF1_y=handles.gF1;
            handles.gF2_y=handles.gF2;
            handles.gF3_y=handles.gF3;
            handles.gF4_y=handles.gF4;
            handles.gFLim_y=handles.gFLim;
            handles.fForceN_y=handles.fForceN;
            handles.fForceP_y=handles.fForceP;
            handles.rDispP_y=handles.rDispP;
            handles.rDispN_y=handles.rDispN;
            handles.flag_pinch4_y=handles.flag_pinch4;
            handles.ls_y=handles.ls; 
            handles.lc_y=handles.lc;  
            handles.la_y=handles.la;  
            handles.lk_y=handles.lk;  
            handles.cs_y=handles.cs;  
            handles.cc_y=handles.cc;  
            handles.ca_y=handles.ca;  
            handles.ck_y=handles.ck; 
            handles.flag_Clough_GUI_y=handles.flag_Clough_GUI;
            handles.Dp_y=handles.Dp;
            handles.Dn_y=handles.Dn;
            handles.flag_IMK_GUI_y=handles.flag_IMK_GUI;
            handles.mat_y=handles.mat;
    end
  
            if isempty(handles.T_y)
                handles.T_y=handles.T;
            end
            if isempty(handles.damp_y)
                handles.damp_y=handles.damp;
            end
            if isempty(handles.T)
                handles.T=handles.T_y;
            end
            if isempty(handles.damp)
                handles.damp=handles.damp_y;
            end
end
handles1=handles;