 function [handles1]=fn_pinch4_rout(handles)  
% fn_pinch4_rout
%-------------------------------------
% DESCRIPTION:
% the function allows to set routine data when pinching4 material is
% choosen
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
    handles.flag_cyclic=[];
    handles.flag_for_ida=[];
    handles.flag_for_msa=[];
    handles.flag_for_dyn=[];
    handles.flag_for_B2B=[];
    cla(handles.axes3)
    set(handles.axes3,'YTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    set(handles.axes3,'XTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    xlabel(handles.axes3,'EDP','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    ylabel(handles.axes3,'S_a(g)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    axes(handles.axes3)
    xlim([0 1])
    ylim([0 1])
    grid on
    set(handles.pushbutton36,'visible','off')
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    fprintf(fid,'set gK1 [expr %g] \n',handles.gK1);
    fprintf(fid,'set gK2 [expr %g] \n',handles.gK2);
    fprintf(fid,'set gK3 [expr %g] \n',handles.gK3);
    fprintf(fid,'set gK4 [expr %g] \n',handles.gK4);
    fprintf(fid,'set gKLim [expr %g] \n',handles.gKLim);
    fprintf(fid,'set gD1 [expr %g] \n',handles.gD1);
    fprintf(fid,'set gD2 [expr %g] \n',handles.gD2);
    fprintf(fid,'set gD3 [expr %g] \n',handles.gD3);
    fprintf(fid,'set gD4 [expr %g] \n',handles.gD4);
    fprintf(fid,'set gDLim [expr %g] \n',handles.gDLim);
    fprintf(fid,'set gF1 [expr %g] \n',handles.gF1);
    fprintf(fid,'set gF2 [expr %g] \n',handles.gF2);
    fprintf(fid,'set gF3 [expr %g] \n',handles.gF3);
    fprintf(fid,'set gF4 [expr %g] \n',handles.gF4);
    fprintf(fid,'set gFLim [expr %g] \n',handles.gFLim);
    fprintf(fid,'set gE [expr %g] \n',handles.gE);
    fprintf(fid,'set uForceN [expr %g] \n',handles.uForceN);
    fprintf(fid,'set uForceP [expr %g] \n',handles.uForceP);
    fprintf(fid,'set fForceN [expr %g] \n',handles.fForceN);
    fprintf(fid,'set fForceP [expr %g] \n',handles.fForceP);
    fprintf(fid,'set rDispP [expr %g] \n',handles.rDispP);
    fprintf(fid,'set rDispN [expr %g] \n',handles.rDispN);
    fprintf(fid,'set dmgType "%s" \n',handles.dmgType);  
    fclose(fid);
    handles.mat='pinch4_mod_mat';
    
    
    %%
if isempty(handles.mat_y)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    fprintf(fid,'set gK1_y [expr %g] \n',handles.gK1);
    fprintf(fid,'set gK2_y [expr %g] \n',handles.gK2);
    fprintf(fid,'set gK3_y [expr %g] \n',handles.gK3);
    fprintf(fid,'set gK4_y [expr %g] \n',handles.gK4);
    fprintf(fid,'set gKLim_y [expr %g] \n',handles.gKLim);
    fprintf(fid,'set gD1_y [expr %g] \n',handles.gD1);
    fprintf(fid,'set gD2_y [expr %g] \n',handles.gD2);
    fprintf(fid,'set gD3_y [expr %g] \n',handles.gD3);
    fprintf(fid,'set gD4_y [expr %g] \n',handles.gD4);
    fprintf(fid,'set gDLim_y [expr %g] \n',handles.gDLim);
    fprintf(fid,'set gF1_y [expr %g] \n',handles.gF1);
    fprintf(fid,'set gF2_y [expr %g] \n',handles.gF2);
    fprintf(fid,'set gF3_y [expr %g] \n',handles.gF3);
    fprintf(fid,'set gF4_y [expr %g] \n',handles.gF4);
    fprintf(fid,'set gFLim_y [expr %g] \n',handles.gFLim);
    fprintf(fid,'set gE_y [expr %g] \n',handles.gE);
    fprintf(fid,'set uForceN_y [expr %g] \n',handles.uForceN);
    fprintf(fid,'set uForceP_y [expr %g] \n',handles.uForceP);
    fprintf(fid,'set fForceN_y [expr %g] \n',handles.fForceN);
    fprintf(fid,'set fForceP_y [expr %g] \n',handles.fForceP);
    fprintf(fid,'set rDispP_y [expr %g] \n',handles.rDispP);
    fprintf(fid,'set rDispN_y [expr %g] \n',handles.rDispN);
    fprintf(fid,'set dmgType_y "%s" \n',handles.dmgType);  
    fclose(fid);
    handles.mat_y='pinch4_mod_mat';
end
    %%
    if ~isempty(handles.fy) & ~isempty(handles.deltay)
        if get(handles.radiobutton14,'value')==1
                set(handles.pushbutton27,'enable','on')
                set(handles.pushbutton24,'enable','off')
                set(handles.pushbutton31,'enable','off')
                set(handles.pushbutton30,'enable','off')
                set(handles.radiobutton6,'enable','on')
                set(handles.radiobutton11,'enable','on')
                set(handles.radiobutton12,'enable','on')
                set(handles.radiobutton10,'enable','on')
                set(handles.radiobutton7,'enable','on')
                set(handles.radiobutton6,'value',1)
                set(handles.radiobutton7,'value',0)
                set(handles.radiobutton11,'value',0)
                set(handles.radiobutton10,'value',0)
                set(handles.radiobutton12,'value',0)
                set(handles.pushbutton41,'enable','off')
        elseif get(handles.radiobutton14,'value')==0 
                if isempty(handles.flag_IMK_GUI_y) & isempty(handles.flag_Clough_GUI_y) & isempty(handles.flag_pinch4_y) & isempty(handles.flag_EH_GUI_y) & isempty(handles.flag_steel1_GUI_y) & isempty(handles.flag_IMK_GUI_bilin_y)
                    set(handles.pushbutton27,'enable','off')
                    set(handles.pushbutton24,'enable','off')
                    set(handles.pushbutton31,'enable','off')
                    set(handles.pushbutton30,'enable','off')
                    set(handles.radiobutton6,'enable','off')
                    set(handles.radiobutton11,'enable','off')
                    set(handles.radiobutton12,'enable','off')
                    set(handles.radiobutton10,'enable','off')
                    set(handles.radiobutton7,'enable','off')
                    set(handles.radiobutton6,'value',1)
                    set(handles.radiobutton7,'value',0)
                    set(handles.radiobutton11,'value',0)
                    set(handles.radiobutton10,'value',0)
                    set(handles.radiobutton12,'value',0)
                    set(handles.pushbutton41,'enable','off')
                end
        end

    end
handles1=handles;    