function [h]=fn_plot_dynamic(perc,lim,flag,fy,dy)
a=load([perc,'/osees/simplestSDOF/','Disp.out']);
b=load([perc,'/osees/simplestSDOF/','Force.out']);
if flag==2
b=b(:,2);
a=-a(:,2);
hold on
plot(a,b,'LineWidth',1.5,'Color',[.5 .5 .5])
xlabel('Displacement (m)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
ylabel('Force (kN)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
h=get(gcf,'CurrentAxes');
xlim([-lim*1.1 lim*1.1])
ylim([-max(abs(b))*1.1,max(abs(b))*1.1])
else
b=b(:,2)./fy;
a=-a(:,2)./dy;
hold on
plot(a,b,'LineWidth',1.5,'Color',[.5 .5 .5])
xlabel('\mu','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
ylabel('R','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
h=get(gcf,'CurrentAxes');
xlim([-lim/dy*1.1 lim/dy*1.1])   
ylim([-max(abs(b))*1.1,max(abs(b))*1.1])
end
set(gca,'fontsize',10)