function [filenames_mod_]=fn_records_for_free_vibr(filenames,outdir)

 for i=1:length(filenames)
    filenames_mod=[filenames{i}];
    [Acc,record_dt,NPTS] = parseAT2_all(filenames{i});
%     [Acc,record_dt,NPTS] = parseAT2(filenames{i});
    time_coda=20;
    num_od_zero=round(time_coda/record_dt);
    % Check if time with acc=0 exists yet 
    if length(Acc)>num_od_zero
        val=Acc(end-(num_od_zero-1):end);
        if sum(num2str(abs(mean(val)),'%.5f')==num2str(0.00001,'%.5f'))~=7 % 7 because "0." strings are to take into account
            NPTS=NPTS+num_od_zero;
            Acc=[Acc;ones(num_od_zero,1)*0.00001];
        end
    end
    rec_header1 = 'PEER NGA STRONG MOTION DATABASE RECORD';
    rec_header2 = [filenames{i}];
    rec_header3 =  'ACCELERATION TIME SERIES IN UNITS OF G';
    rec_header4 = strcat(num2str(NPTS),{'    '},num2str(record_dt),{'    NPTS, DT'});
    outname = strcat(outdir,filenames_mod);
    fid=fopen(outname,'wt');

    fprintf(fid,'%12.8e %12.8e %12.8e %12.8e %12.8e\n',Acc);
    fprintf(fid,'%s\r',rec_header1,rec_header2,rec_header3,rec_header4{1});
    fclose(fid);
    filenames_mod_{i}=filenames_mod;
 end
