function [handles1]=fn_reset_ALL(handles)   
% fn_reset_ALL
%-------------------------------------
% DESCRIPTION:
% the function allows to reset ALL data and ALL figures
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
        set(handles.edit23','string','')
        set(handles.edit24','string','5')
        % CLEAR AXIS
        cla(handles.axes1)
        axes(handles.axes1)
        set(handles.axes1, 'XTickMode', 'auto', 'XTickLabelMode', 'auto')
        set(handles.axes1, 'YTickMode', 'auto', 'YTickLabelMode', 'auto')
%         set(handles.axes1, 'XTicklabel', [0:0.2:(length(get(handles.axes1, 'XTicklabel'))-1*0.2)])
%         set(handles.axes1, 'YTicklabel',[0:0.2:(length(get(handles.axes1, 'YTicklabel'))-1*0.2)])
        xlabel(handles.axes1,'Displacement','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
        ylabel(handles.axes1,'Strength','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
        grid on
        cla(handles.axes3)
        axes(handles.axes3)       
        xlabel(handles.axes3,'EDP','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
        ylabel(handles.axes3,'S_a(g)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
        set(handles.axes3, 'XTickMode', 'auto', 'XTickLabelMode', 'auto')
        set(handles.axes3, 'YTickMode', 'auto', 'YTickLabelMode', 'auto')
%         set(handles.axes3, 'XTicklabel', [0:0.2:(length(get(handles.axes3, 'XTicklabel'))-1*0.2)])
%         set(handles.axes3, 'YTicklabel',[0:0.2:(length(get(handles.axes3, 'YTicklabel'))-1*0.2)])
        grid on
        % Restore buttons as in the opening phase
        set(handles.radiobutton8,'value',0);
        set(handles.radiobutton4,'value',0);
        set(handles.radiobutton3,'value',1);
        set(handles.radiobutton40,'value',0);
        set(handles.radiobutton41,'value',0);
        set(handles.radiobutton42,'value',0);
        set(handles.radiobutton6,'value',1);
        set(handles.radiobutton7,'value',0);
        set(handles.radiobutton10,'value',0);       
        set(handles.radiobutton11,'value',0); 
        set(handles.radiobutton6,'enable','off');
        set(handles.radiobutton11,'enable','off');
        set(handles.radiobutton7,'enable','off');
        set(handles.radiobutton10,'enable','off');
        set(handles.radiobutton12,'enable','off');
        set(handles.pushbutton24,'enable','off');
        set(handles.pushbutton27,'enable','off');
        set(handles.pushbutton30,'enable','off');
        set(handles.pushbutton31,'enable','off');
        set(handles.pushbutton41,'enable','off');
        set(handles.pushbutton36,'visible','off');
        set(handles.pushbutton47,'visible','off');
        set(handles.radiobutton8,'fontweight','normal');
        set(handles.radiobutton4,'fontweight','normal');
        set(handles.radiobutton40,'fontweight','normal');
        set(handles.radiobutton41,'fontweight','normal');
        set(handles.radiobutton42,'fontweight','normal')
        set(handles.radiobutton3,'fontweight','bold');
        set(handles.popupmenu1,'value',2);
        set(handles.popupmenu2,'value',1);
        set(handles.radiobutton14,'value',1)
        set(handles.radiobutton13,'value',0)
        set(handles.checkbox15,'value',1)
        set(handles.checkbox16,'value',0)
        set(handles.checkbox16,'enable','off')
%         set(handles.uibuttongroup7,'visible','off')
%         set(handles.uibuttongroup9,'visible','off')
        val='off';
        set(handles.checkbox6,'enable',val)
        set(handles.checkbox7,'enable',val)
        set(handles.checkbox10,'enable',val)
        set(handles.radiobutton20,'enable',val)
        set(handles.radiobutton21,'enable',val)
        set(handles.radiobutton22,'enable',val)
        set(handles.radiobutton23,'enable',val)
        set(handles.radiobutton24,'enable',val)
        set(handles.radiobutton25,'enable',val)
        set(handles.radiobutton26,'enable',val)
        set(handles.radiobutton27,'enable',val)
        set(handles.popupmenu2,'string',handles.str_pop2(1))        
        [x,map] = imread('modelli_software_1dir_.jpg'); 
        axes(handles.axes15);
        image(x)
        set(handles.axes15,'YTickLabel',[]);
        set(handles.axes15,'XTickLabel',[]);
        str_.pushbutton43=handles.pushbutton43;
        str_.pushbutton46=handles.pushbutton46;
        set(handles.edit28,'string','')
        set(handles.edit29,'string','')
        set(handles.edit30,'string','')
        set(handles.edit31,'string','')
        fn_handl_visib(str_)
        %GENERAL:
		handles.T=[];
		handles.damp=0.05;
        handles.T_y=[];
        handles.damp_y=0.05;
        handles.mat=[];
		handles.mat_y=[];
        %BACKBONE PARAMETERS
		handles.fy=[];
		handles.deltay=[];
		handles.ah=[];
		handles.mu_c=[];
		handles.ac=[];
		handles.rp=[];
		handles.mu_f=[];
		handles.fy_neg=[];
        handles.fy_y=[];
        handles.deltay_y=[];
        handles.ah_y=[];
        handles.mu_c_y=[];
        handles.ac_y=[];
        handles.rp_y=[];
        handles.mu_f_y=[];
        handles.fy_neg_y=[];
		handles.flag_for_pushREAD=[];
        handles.flag_bil=[];
        handles.flag_bil_x=[];
        handles.flag_bil_y=[];
        handles.mu_c_neg=[];
        handles.mu_f_neg=[];
        handles.mu_c_neg_y=[];
        handles.mu_f_neg_y=[];
		%PINCH 4:
		handles.gK1=[];
		handles.gK2=[];
		handles.gK3=[];
		handles.gK4=[];
		handles.gKLim=[];
		handles.dmgType=[];
		handles.uForceN=[];
		handles.uForceP=[];
		handles.gE=[];
		handles.gD1=[];
		handles.gD2=[];
		handles.gD3=[];
		handles.gD4=[];
		handles.gDLim=[];
		handles.gF1=[];
		handles.gF2=[];
		handles.gF3=[];
		handles.gF4=[];
		handles.gFLim=[];
		handles.fForceN=[];
		handles.fForceP=[];
		handles.rDispP=[];
		handles.rDispN=[];
        handles.flag_pinch4=[];
            handles.gK1_y=[];
            handles.gK2_y=[];
            handles.gK3_y=[];
            handles.gK4_y=[];
            handles.gKLim_y=[];
            handles.dmgType_y=[];
            handles.uForceN_y=[];
            handles.uForceP_y=[];
            handles.gE_y=[];
            handles.gD1_y=[];
            handles.gD2_y=[];
            handles.gD3_y=[];
            handles.gD4_y=[];
            handles.gDLim_y=[];
            handles.gF1_y=[];
            handles.gF2_y=[];
            handles.gF3_y=[];
            handles.gF4_y=[];
            handles.gFLim_y=[];
            handles.fForceN_y=[];
            handles.fForceP_y=[];
            handles.rDispP_y=[];
            handles.rDispN_y=[];
            handles.flag_pinch4_y=[];
		%CLOUGH:
		handles.ls=[]; 
		handles.lc=[];  
		handles.la=[];  
		handles.lk=[];  
		handles.cs=[];  
		handles.cc=[];  
		handles.ca=[];  
		handles.ck=[]; 
        handles.flag_Clough_GUI=[];
            handles.ls_y=[]; 
            handles.lc_y=[];  
            handles.la_y=[];  
            handles.lk_y=[];  
            handles.cs_y=[];  
            handles.cc_y=[];  
            handles.ca_y=[];  
            handles.ck_y=[]; 
            handles.flag_Clough_GUI_y=[];

		handles.Dp=[];
		handles.Dn=[];
        handles.flag_IMK_GUI=[];
            handles.Dp_y=[];
            handles.Dn_y=[];
            handles.flag_IMK_GUI_y=[];
        %MODIFIED EH:
        handles.flag_EH_GUI=[];
        handles.H_kin=[];
        handles.H_iso=[];
        handles.H_tot=[];    
              %dir y
              handles.flag_EH_GUI_y=[];
              handles.H_kin_y=[];
              handles.H_iso_y=[];
              handles.H_tot_y=[];
         % STEEL01
        handles.a1_st=[];
        handles.a2_st=[];
        handles.a3_st=[];
        handles.a4_st=[];
        handles.flag_steel1_GUI=[];
            %dir y
            handles.a1_st_y=[];
            handles.a2_st_y=[];
            handles.a3_st_y=[];
            handles.a4_st_y=[];
            handles.flag_steel1_GUI_y=[];
        % IMK bilin
        handles.ls_bilin=[]; 
		handles.lc_bilin=[];  
		handles.la_bilin=[];  
		handles.lk_bilin=[];  
		handles.cs_bilin=[];  
		handles.cc_bilin=[];  
		handles.ca_bilin=[];  
		handles.ck_bilin=[]; 
		handles.Dp_bilin=[];
		handles.Dn_bilin=[];
        handles.n_bilin=[];
		handles.flag_IMK_GUI_bilin=[];
            % Dir Y
            handles.ls_bilin_y=[]; 
            handles.lc_bilin_y=[];  
            handles.la_bilin_y=[];  
            handles.lk_bilin_y=[];  
            handles.cs_bilin_y=[];  
            handles.cc_bilin_y=[];  
            handles.ca_bilin_y=[];  
            handles.ck_bilin_y=[]; 
            handles.Dp_bilin_y=[];
            handles.Dn_bilin_y=[];
            handles.n_bilin_y=[];
            handles.flag_IMK_GUI_bilin_y=[];
		%IDA:
		handles.infdr=[];
        handles.relaxNaNs=[];
        handles.fitcode=[];
        handles.Nvals=[];
		handles.thfilename_IDA=[];
		handles.maxrpr=[];
		handles.iniSa=[];
		handles.incSa=[];
		handles.Th_drift=[];
		handles.Th_Sa=[];
		handles.flag_for_ida=[];
		handles.nameIDA=[];
		handles.filename_new_IDA=[];
        handles.T_2_tint=[];
        handles.damp_2_tint=[];
        handles.anlsdir=[];
        handles.IM_choosen=[];
        handles.EDP_choosen=[];
		handles.cv_IDA=[];
		handles.IM_stripe=[];
        handles.EDPstripe=[];
		handles.lim_=[];
        handles.lim_edp=[];
        handles.ida=[];
		%CYCLIC:
		handles.numCyc=[]; 
		handles.Peak=[];
		handles.flag_cyclic=[];
        handles.cyc=[];
        handles.peakpts=[];
        handles.peakpts_=[];    
		%MSA:
	    handles.Matr_rec=[];
		handles.Sa_targ=[]; 
		handles.num_rec_MSA=[];
		handles.per_for_sa=[];
		handles.zeta_for_sa=[];
		handles.disp_lim=[];
		handles.nameMSA=[];
		handles.flag_for_msa=[];
		handles.nameMSA=[];
        handles.tableMSA=[];
        handles.EDP_MSA=[];
        handles.msa=[];
        handles.peakpts=[];
        handles.peakpts_=[];
        handles.EDP_act=[];
        handles.PathName_MSA=[];
        handles.check_no_sc=[];
		%DYNAMIC:
		handles.flag_for_dyn=[];
		handles.filename_new=[];
		handles.thfilename=[];
		handles.scale_fact=[];
        handles.flag_for_record_MSA=[];
        handles.Record_used_dyn=[];
        handles.filename_dyn=[];
        handles.Record_used_dyn_y=[];
        handles.filename_dyn_y=[];
        %B2B IDA:
% 		handles.infdr_B2B=[];
        handles.relaxNaNs_B2B=[];
        handles.fitcode_B2B=[];
        handles.Nvals_B2B=[];
		handles.B2B.thfilename=[];
		handles.maxrpr_B2B=[];
		handles.iniSa_B2B=[];
		handles.incSa_B2B=[];
		handles.Th_drift_B2B=[];
		handles.Th_Sa_B2B=[];
		handles.flag_for_B2B=[];
		handles.nameB2B=[];
		handles.filename_new_B2B=[];
		handles.thfilename_B2B=[];
		handles.T_2_tint_B2B=[];
        handles.damp_2_tint_B2B=[];
		handles.disp_2_scale_B2B=[];
		handles.filename_new_Dyn_B2B=[];
		handles.thfilename_Dyn_B2B=[];
        handles.PathName_DYN=[];
        handles.ind_for_B2B_rec=[];
        handles.h_plot_IM_lim=[];
        handles.saval=[];
        handles.dr_range=[];
        handles.sa_range=[];
        handles.drval=[];
        handles.cv_B2B=[];
        handles.flag_for_noSam=[];
handles1=handles;