function fn_save_figures(ax,filename)

% fn_save_figures
%-------------------------------------
% DESCRIPTION:
% This function allows to extract and save figures from axis in a GUI
% 
%-------------------------------------
% INPUT:
%-------------------------------------
% ax:        axis which is to be saved
% filename:  figure name (with path included);
fh = figure;
aa=copyobj(ax, fh);
set(aa, 'Units', 'normalized', 'Position', [.1 .1 .8 .8]);
saveas(fh,filename,'fig');
close(fh);


