function fn_set_axis_limit(ax)
% fn_set_axis_limit
%-------------------------------------
% DESCRIPTION:
% the function allows to set axis limit 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% ax: Current active axis
%--------------------------------------------------------------------------
check_axes=isa(ax,'matlab.graphics.axis.Axes');
if check_axes==1
    LineH = get(ax, 'children');
    Value = get(LineH, 'YData');
    Valuex = get(LineH, 'XData');
    xdata=cell2mat(Valuex');
    ydata=cell2mat(Value');
    if ~isempty(xdata)
        xlim([min(xdata)*1.1,max(xdata)*1.1])
    end
    if ~isempty(ydata)
        ylim([min(ydata)*1.1,max(ydata)*1.1])
    end
end