function fn_set_saved_proj_in_GUI(handles)   
% fn_set_saved_proj_in_GUI
%-------------------------------------
% DESCRIPTION:
% the function allows to plot in the main GUI a previous saved project
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
%%%%%%%%%%%%%%%%%%%%%%%GUI  characteristics%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(handles.popupmenu1,'value',handles.valpopup1);
val='off';
set(handles.checkbox6,'enable',val)
set(handles.checkbox7,'enable',val)
set(handles.checkbox10,'enable',val)
set(handles.radiobutton21,'enable',val)
set(handles.radiobutton22,'enable',val)
set(handles.radiobutton23,'enable',val)
set(handles.radiobutton24,'enable',val)
set(handles.radiobutton25,'enable',val)
set(handles.radiobutton26,'enable',val)
set(handles.radiobutton27,'enable',val)
if ~isempty(handles.flag_pinch4)
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    %fprintf(fid,'set m [expr %g] \n',m);
    fprintf(fid,'set gK1 [expr %g] \n',handles.gK1);
    fprintf(fid,'set gK2 [expr %g] \n',handles.gK2);
    fprintf(fid,'set gK3 [expr %g] \n',handles.gK3);
    fprintf(fid,'set gK4 [expr %g] \n',handles.gK4);
    fprintf(fid,'set gKLim [expr %g] \n',handles.gKLim);
    fprintf(fid,'set gD1 [expr %g] \n',handles.gD1);
    fprintf(fid,'set gD2 [expr %g] \n',handles.gD2);
    fprintf(fid,'set gD3 [expr %g] \n',handles.gD3);
    fprintf(fid,'set gD4 [expr %g] \n',handles.gD4);
    fprintf(fid,'set gDLim [expr %g] \n',handles.gDLim);
    fprintf(fid,'set gF1 [expr %g] \n',handles.gF1);
    fprintf(fid,'set gF2 [expr %g] \n',handles.gF2);
    fprintf(fid,'set gF3 [expr %g] \n',handles.gF3);
    fprintf(fid,'set gF4 [expr %g] \n',handles.gF4);
    fprintf(fid,'set gFLim [expr %g] \n',handles.gFLim);
    fprintf(fid,'set gE [expr %g] \n',handles.gE);
    fprintf(fid,'set uForceN [expr %g] \n',handles.uForceN);
    fprintf(fid,'set uForceP [expr %g] \n',handles.uForceP);
    fprintf(fid,'set fForceN [expr %g] \n',handles.fForceN);
    fprintf(fid,'set fForceP [expr %g] \n',handles.fForceP);
    fprintf(fid,'set rDispP [expr %g] \n',handles.rDispP);
    fprintf(fid,'set rDispN [expr %g] \n',handles.rDispN);
    fprintf(fid,'set dmgType "%s" \n',handles.dmgType);
    fclose(fid);
end
if ~isempty(handles.flag_IMK_GUI)
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    %fprintf(fid,'set m [expr %g] \n',m);
    fprintf(fid,'set Lamda_S [expr %g] \n',handles.ls);
    fprintf(fid,'set Lamda_C [expr %g] \n',handles.lc);
    fprintf(fid,'set Lamda_A [expr %g] \n',handles.la);
    fprintf(fid,'set Lamda_K [expr %g] \n',handles.lk);
    fprintf(fid,'set c_S [expr %g] \n',handles.cs);
    fprintf(fid,'set c_C [expr %g] \n',handles.cc);
    fprintf(fid,'set c_A [expr %g] \n',handles.ca);
    fprintf(fid,'set c_K [expr %g] \n',handles.ck);
    fprintf(fid,'set D_Plus [expr %g] \n',handles.Dp);
    fprintf(fid,'set D_Neg [expr %g] \n',handles.Dn);
    fclose(fid);
end
if ~isempty(handles.flag_Clough_GUI)
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    %fprintf(fid,'set m [expr %g] \n',m);
    fprintf(fid,'set Lamda_S [expr %g] \n',handles.ls);
    fprintf(fid,'set Lamda_C [expr %g] \n',handles.lc);
    fprintf(fid,'set Lamda_A [expr %g] \n',handles.la);
    fprintf(fid,'set Lamda_K [expr %g] \n',handles.lk);
    fprintf(fid,'set c_S [expr %g] \n',handles.cs);
    fprintf(fid,'set c_C [expr %g] \n',handles.cc);
    fprintf(fid,'set c_A [expr %g] \n',handles.ca);
    fprintf(fid,'set c_K [expr %g] \n',handles.ck);
    fclose(fid);
end
if ~isempty(handles.flag_EH_GUI)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    fprintf(fid,'set H_kin_per [expr %f] \n',handles.H_kin);
    fprintf(fid,'set H_iso_per [expr %f] \n',handles.H_iso);
    fprintf(fid,'set H_tot [expr %g] \n',handles.H_tot);
    fclose(fid);
end
if ~isempty(handles.flag_steel1_GUI)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    fprintf(fid,'set a1_st [expr %f] \n',handles.a1_st);
    fprintf(fid,'set a2_st [expr %f] \n',handles.a2_st);
    fprintf(fid,'set a3_st [expr %f] \n',handles.a3_st);
    fprintf(fid,'set a4_st [expr %f] \n',handles.a4_st);
    fclose(fid);
end
if ~isempty(handles.flag_IMK_GUI_bilin)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    fprintf(fid,'set Lamda_S_bilin [expr %g] \n',handles.ls_bilin);
    fprintf(fid,'set Lamda_C_bilin [expr %g] \n',handles.lc_bilin);
    fprintf(fid,'set Lamda_A_bilin [expr %g] \n',handles.la_bilin);
    fprintf(fid,'set Lamda_K_bilin [expr %g] \n',handles.lk_bilin);
    fprintf(fid,'set c_S_bilin [expr %g] \n',handles.cs_bilin);
    fprintf(fid,'set c_C_bilin [expr %g] \n',handles.cc_bilin);
    fprintf(fid,'set c_A_bilin [expr %g] \n',handles.ca_bilin);
    fprintf(fid,'set c_K_bilin [expr %g] \n',handles.ck_bilin);
    fprintf(fid,'set D_Plus_bilin [expr %g] \n',handles.Dp_bilin);
    fprintf(fid,'set D_Neg_bilin [expr %g] \n',handles.Dn_bilin);
    fprintf(fid,'set n_bilin [expr %g] \n',handles.n_bilin);
    fclose(fid)
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%Y DIRECTION material%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if ~isempty(handles.flag_pinch4_y)
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    %fprintf(fid,'set m [expr %g] \n',m);
    fprintf(fid,'set gK1_y [expr %g] \n',handles.gK1_y);
    fprintf(fid,'set gK2_y [expr %g] \n',handles.gK2_y);
    fprintf(fid,'set gK3_y [expr %g] \n',handles.gK3_y);
    fprintf(fid,'set gK4_y [expr %g] \n',handles.gK4_y);
    fprintf(fid,'set gKLim_y [expr %g] \n',handles.gKLim_y);
    fprintf(fid,'set gD1_y [expr %g] \n',handles.gD1_y);
    fprintf(fid,'set gD2_y [expr %g] \n',handles.gD2_y);
    fprintf(fid,'set gD3_y [expr %g] \n',handles.gD3_y);
    fprintf(fid,'set gD4_y [expr %g] \n',handles.gD4_y);
    fprintf(fid,'set gDLim_y [expr %g] \n',handles.gDLim_y);
    fprintf(fid,'set gF1_y [expr %g] \n',handles.gF1_y);
    fprintf(fid,'set gF2_y [expr %g] \n',handles.gF2_y);
    fprintf(fid,'set gF3_y [expr %g] \n',handles.gF3_y);
    fprintf(fid,'set gF4_y [expr %g] \n',handles.gF4_y);
    fprintf(fid,'set gFLim_y [expr %g] \n',handles.gFLim_y);
    fprintf(fid,'set gE_y [expr %g] \n',handles.gE_y);
    fprintf(fid,'set uForceN_y [expr %g] \n',handles.uForceN_y);
    fprintf(fid,'set uForceP_y [expr %g] \n',handles.uForceP_y);
    fprintf(fid,'set fForceN_y [expr %g] \n',handles.fForceN_y);
    fprintf(fid,'set fForceP_y [expr %g] \n',handles.fForceP_y);
    fprintf(fid,'set rDispP_y [expr %g] \n',handles.rDispP_y);
    fprintf(fid,'set rDispN_y [expr %g] \n',handles.rDispN_y);
    fprintf(fid,'set dmgType_y "%s" \n',handles.dmgType_y);
    fclose(fid);
end
if ~isempty(handles.flag_IMK_GUI_y)
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    %fprintf(fid,'set m [expr %g] \n',m);
    fprintf(fid,'set Lamda_S_y [expr %g] \n',handles.ls_y);
    fprintf(fid,'set Lamda_C_y [expr %g] \n',handles.lc_y);
    fprintf(fid,'set Lamda_A_y [expr %g] \n',handles.la_y);
    fprintf(fid,'set Lamda_K_y [expr %g] \n',handles.lk_y);
    fprintf(fid,'set c_S_y [expr %g] \n',handles.cs_y);
    fprintf(fid,'set c_C_y [expr %g] \n',handles.cc_y);
    fprintf(fid,'set c_A_y [expr %g] \n',handles.ca_y);
    fprintf(fid,'set c_K_y [expr %g] \n',handles.ck_y);
    fprintf(fid,'set D_Plus_y [expr %g] \n',handles.Dp_y);
    fprintf(fid,'set D_Neg_y [expr %g] \n',handles.Dn_y);
    fclose(fid);
end
if ~isempty(handles.flag_Clough_GUI_y)
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    %fprintf(fid,'set m [expr %g] \n',m);
    fprintf(fid,'set Lamda_S_y [expr %g] \n',handles.ls_y);
    fprintf(fid,'set Lamda_C_y [expr %g] \n',handles.lc_y);
    fprintf(fid,'set Lamda_A_y [expr %g] \n',handles.la_y);
    fprintf(fid,'set Lamda_K_y [expr %g] \n',handles.lk_y);
    fprintf(fid,'set c_S_y [expr %g] \n',handles.cs_y);
    fprintf(fid,'set c_C_y [expr %g] \n',handles.cc_y);
    fprintf(fid,'set c_A_y [expr %g] \n',handles.ca_y);
    fprintf(fid,'set c_K_y [expr %g] \n',handles.ck_y);
    fclose(fid);
end
if ~isempty(handles.flag_EH_GUI_y)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    fprintf(fid,'set H_kin_per_y [expr %f] \n',handles.H_kin_y);
    fprintf(fid,'set H_iso_per_y [expr %f] \n',handles.H_iso_y);
    fprintf(fid,'set H_tot_y [expr %g] \n',handles.H_tot_y);
    fclose(fid);
end
if ~isempty(handles.flag_steel1_GUI_y)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    fprintf(fid,'set a1_st_y [expr %f] \n',handles.a1_st_y);
    fprintf(fid,'set a2_st_y [expr %f] \n',handles.a2_st_y);
    fprintf(fid,'set a3_st_y [expr %f] \n',handles.a3_st_y);
    fprintf(fid,'set a4_st_y [expr %f] \n',handles.a4_st_y);
    fclose(fid);
end
if ~isempty(handles.flag_IMK_GUI_bilin_y)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    fprintf(fid,'set Lamda_S_bilin_y [expr %g] \n',handles.ls_bilin_y);
    fprintf(fid,'set Lamda_C_bilin_y [expr %g] \n',handles.lc_bilin_y);
    fprintf(fid,'set Lamda_A_bilin_y [expr %g] \n',handles.la_bilin_y);
    fprintf(fid,'set Lamda_K_bilin_y [expr %g] \n',handles.lk_bilin_y);
    fprintf(fid,'set c_S_bilin_y [expr %g] \n',handles.cs_bilin_y);
    fprintf(fid,'set c_C_bilin_y [expr %g] \n',handles.cc_bilin_y);
    fprintf(fid,'set c_A_bilin_y [expr %g] \n',handles.ca_bilin_y);
    fprintf(fid,'set c_K_bilin_y [expr %g] \n',handles.ck_bilin_y);
    fprintf(fid,'set D_Plus_bilin_y [expr %g] \n',handles.Dp_bilin_y);
    fprintf(fid,'set D_Neg_bilin_y [expr %g] \n',handles.Dn_bilin_y);
    fprintf(fid,'set n_bilin_y [expr %g] \n',handles.n_bilin_y);
    fclose(fid)
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if ~isfield(handles,'valpopup2')
    handles.valpopup2=1;
end
if isfield(handles,'valradiobutton14')
    if handles.valradiobutton14~=1
        set(handles.popupmenu2,'string',handles.str_pop2)

    else
        set(handles.popupmenu2,'string',handles.str_pop2(1))
    end
end
set(handles.popupmenu2,'value',handles.valpopup2);

set(handles.pushbutton24,'enable',handles.en_pushbutton24);
set(handles.pushbutton27,'enable',handles.en_pushbutton27);
set(handles.pushbutton30,'enable',handles.en_pushbutton30);
set(handles.pushbutton31,'enable',handles.en_pushbutton31);
if isfield(handles,'en_pushbutton41')
else
    handles.en_pushbutton41='off';
end
set(handles.pushbutton41,'enable',handles.en_pushbutton41);
set(handles.radiobutton8,'value',handles.valcheck8);
if handles.valcheck8==1
    set(handles.radiobutton8,'fontweight','bold');
else
   set(handles.radiobutton8,'fontweight','normal');
end
set(handles.radiobutton4,'value',handles.valcheck4);
if handles.valcheck4==1
    set(handles.radiobutton4,'fontweight','bold');
else
   set(handles.radiobutton4,'fontweight','normal');
end
set(handles.radiobutton3,'value',handles.valcheck3);
if handles.valcheck3==1
    set(handles.radiobutton3,'fontweight','bold');
else
   set(handles.radiobutton3,'fontweight','normal');
end
set(handles.radiobutton40,'value',handles.valcheck40);
set(handles.radiobutton41,'value',handles.valcheck41);
set(handles.radiobutton42,'value',handles.valcheck42);
if handles.valcheck40==1
    set(handles.radiobutton40,'fontweight','bold');
else
   set(handles.radiobutton40,'fontweight','normal');
end
if handles.valcheck41==1
    set(handles.radiobutton41,'fontweight','bold');
else
   set(handles.radiobutton41,'fontweight','normal');
end
if handles.valcheck42==1
    set(handles.radiobutton42,'fontweight','bold');
else
   set(handles.radiobutton42,'fontweight','normal');
end
set(handles.radiobutton6,'value',handles.valcheck6);
set(handles.radiobutton7,'value',handles.valcheck7);
set(handles.radiobutton10,'value',handles.valcheck10);       
set(handles.radiobutton11,'value',handles.valcheck11);
% set(handles.uibuttongroup7,'visible',handles.vis_uibuttongroup7);
% set(handles.uibuttongroup9,'visible',handles.vis_uibuttongroup9);
set(handles.radiobutton20,'value',handles.valcheck20); 
set(handles.radiobutton21,'value',handles.valcheck21); 
set(handles.radiobutton22,'value',handles.valcheck22); 
set(handles.radiobutton23,'value',handles.valcheck23); 
set(handles.radiobutton24,'value',handles.valcheck24); 
set(handles.radiobutton25,'value',handles.valcheck25); 
set(handles.radiobutton26,'value',handles.valcheck26); 
set(handles.radiobutton27,'value',handles.valcheck27); 
set(handles.radiobutton20,'enable',handles.encheck20); 
set(handles.radiobutton21,'enable',handles.encheck21); 
set(handles.radiobutton22,'enable',handles.encheck22); 
set(handles.radiobutton23,'enable',handles.encheck23); 
if isfield(handles,'encheck24')==0
    handles.encheck24='on';
end
set(handles.radiobutton24,'enable',handles.encheck24); 
set(handles.radiobutton25,'enable',handles.encheck25); 
set(handles.radiobutton26,'enable',handles.encheck26); 
set(handles.radiobutton27,'enable',handles.encheck27); 
set(handles.radiobutton20,'enable',handles.encheck20); 
set(handles.radiobutton21,'enable',handles.encheck21); 
set(handles.radiobutton22,'enable',handles.encheck22); 
set(handles.radiobutton23,'enable',handles.encheck23); 


set(handles.radiobutton24,'enable',handles.encheck24); 
set(handles.radiobutton25,'enable',handles.encheck25); 
set(handles.radiobutton26,'enable',handles.encheck26); 
set(handles.radiobutton27,'enable',handles.encheck27); 
set(handles.checkbox7,'value',handles.valcheck77);
set(handles.checkbox10,'value',handles.valcheck1010);       
set(handles.checkbox8,'value',handles.valcheck88); 
if isfield(handles,'encheck66')==0
    handles.encheck66='on';
end
if isfield(handles,'encheck77')==0
    handles.encheck77='on';
end
if isfield(handles,'encheck1010')==0
    handles.encheck1010='on';
end
set(handles.checkbox6,'value',handles.valcheck66); 
set(handles.checkbox7,'enable',handles.encheck77);
set(handles.checkbox6,'enable',handles.encheck66);      
set(handles.checkbox10,'enable',handles.encheck1010);
if isfield(handles,'valcheck12')
else
    handles.valcheck12=0;
end
set(handles.radiobutton12,'value',handles.valcheck12); 
set(handles.radiobutton6,'enable',handles.encheck6);
set(handles.radiobutton11,'enable',handles.encheck6);
set(handles.radiobutton7,'enable',handles.encheck6);
set(handles.radiobutton10,'enable',handles.encheck6);
set(handles.radiobutton12,'enable',handles.encheck6);
set(handles.pushbutton36,'visible',handles.vis_pushbutton36);
if ~isfield(handles,'valcheck15')
    handles.valcheck15=1;
end
if handles.valcheck15==1
    set(handles.edit23,'string',num2str(handles.T,'%.2f'))
    set(handles.edit24,'string',num2str(handles.damp*100,'%.2f'))
else
    set(handles.edit23,'string',num2str(handles.T_y,'%.2f'))
    set(handles.edit24,'string',num2str(handles.damp_y*100,'%.2f'))
end
% 12/10/17: Aggiunta nuovi tasti:
    set(handles.pushbutton43,'visible',handles.vis_pushbutton43);
    set(handles.pushbutton43,'value',handles.valpushbutton43);
    set(handles.pushbutton46,'visible',handles.vis_pushbutton43);
    set(handles.pushbutton46,'value',handles.valpushbutton43);
    set(handles.radiobutton14,'value',handles.valradiobutton14);
    if isfield(handles,'pushbutton47')
        set(handles.pushbutton47,'visible',handles.vis_pushbutton47);
    end
    if handles.valradiobutton14==0
        set(handles.radiobutton13,'value',1);
        [x,map] = imread('modelli_software_2dir_.jpg'); 
        axes(handles.axes15);
        image(x)
        set(handles.axes15,'YTickLabel',[]);
        set(handles.axes15,'XTickLabel',[]);
        set(handles.popupmenu2,'string',handles.str_pop2') 
        axis off
    else
        set(handles.radiobutton13,'value',0);
        [x,map] = imread('modelli_software_1dir_.jpg'); 
        axes(handles.axes15);
        image(x)
        set(handles.axes15,'YTickLabel',[]);
        set(handles.axes15,'XTickLabel',[]);   
        set(handles.popupmenu2,'string',handles.str_pop2(1))
        axis off
    end
    set(handles.checkbox15,'value',handles.valcheck15);
    set(handles.checkbox16,'value',handles.valcheck16);
    set(handles.checkbox16,'enable',handles.encheck16);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Plot backbone%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if ~isempty(handles.flag_for_pushREAD)
        cla(handles.axes3)
        set(handles.axes3,'YTicklabel',[0;0.2;0.4;0.6;0.8;1]);
        set(handles.axes3,'XTicklabel',[0;0.2;0.4;0.6;0.8;1]);
        xlabel(handles.axes3,'EDP','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
        ylabel(handles.axes3,'S_a(g)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
        axes(handles.axes3)
        %     set(handles.axes3, 'XTickMode', 'auto', 'XTickLabelMode', 'auto')
        %     set(handles.axes3, 'YTickMode', 'auto', 'YTickLabelMode', 'auto')
        xlim([0 1])
        ylim([0 1])
        grid on
        cla(handles.axes1)
        handles.valPopUpMenu=get(handles.popupmenu1,'value');
        axes(handles.axes1)
%         if get(handles.popupmenu2,'value')==1
%              [handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.valPopUpMenu,1);
%         else
%              [handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.valPopUpMenu,10);
%         end
        if get(handles.checkbox15,'value')==1
            handles.flag_bil=handles.flag_bil_x;
            [handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.mu_c_neg,handles.mu_f_neg,handles.valPopUpMenu,1,handles.flag_bil);
            set(handles.popupmenu2,'value',1)
        else
            handles.flag_bil=handles.flag_bil_y;
            [handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y] = fn_plot_backbone(handles.fy_y,handles.deltay_y,handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y,handles.fy_neg_y,handles.mu_c_neg_y,handles.mu_f_neg_y,handles.valPopUpMenu,1,handles.flag_bil);    
            set(handles.popupmenu2,'value',2)
        end
        if isempty(handles.mu_c_neg)
            handles.mu_c_neg=handles.mu_c;
        end
        if isempty(handles.mu_f_neg)
            handles.mu_f_neg=handles.mu_f;
        end        
        if handles.valradiobutton14==1
            fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati.tcl'],'wt');
            fprintf(fid,'set My [expr %g] \n',handles.fy);
            fprintf(fid,'set My_neg [expr %g] \n',handles.fy_neg);
            fprintf(fid,'set fi_y [expr %g] \n',handles.deltay);
            fprintf(fid,'set ah [expr %g] \n',handles.ah);
            fprintf(fid,'set mu_c [expr %g] \n',handles.mu_c);
            fprintf(fid,'set ac [expr %g] \n',-handles.ac);
            fprintf(fid,'set rp [expr %g] \n',handles.rp);
            fprintf(fid,'set mu_f [expr %g] \n',handles.mu_f);
            fprintf(fid,'set mu_c_neg [expr %g] \n',handles.mu_c_neg);
            fprintf(fid,'set mu_f_neg [expr %g] \n',handles.mu_f_neg);
            fclose(fid);
        else
            fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati.tcl'],'wt');
            fprintf(fid,'set My [expr %g] \n',handles.fy);
            fprintf(fid,'set fi_y [expr %g] \n',handles.deltay);
            fprintf(fid,'set ah [expr %g] \n',handles.ah);
            fprintf(fid,'set mu_c [expr %g] \n',handles.mu_c);
            fprintf(fid,'set ac [expr %g] \n',-handles.ac);
            fprintf(fid,'set rp [expr %g] \n',handles.rp);
            fprintf(fid,'set mu_f [expr %g] \n',handles.mu_f);
            fprintf(fid,'set My_neg [expr %g] \n',handles.fy_neg);
            fprintf(fid,'set My_y [expr %g] \n',handles.fy_y);
            fprintf(fid,'set fi_y_y [expr %g] \n',handles.deltay_y);
            fprintf(fid,'set ah_y [expr %g] \n',handles.ah_y);
            fprintf(fid,'set mu_c_y [expr %g] \n',handles.mu_c_y);
            fprintf(fid,'set ac_y [expr %g] \n',handles.ac_y);
            fprintf(fid,'set rp_y [expr %g] \n',handles.rp_y);
            fprintf(fid,'set mu_f_y [expr %g] \n',handles.mu_f_y);
            fprintf(fid,'set My_neg_y [expr %g] \n',handles.fy_neg_y);
            fprintf(fid,'set mu_c_neg [expr %g] \n',handles.mu_c_neg);
            fprintf(fid,'set mu_f_neg [expr %g] \n',handles.mu_f_neg);
            fprintf(fid,'set mu_c_neg_y [expr %g] \n',handles.mu_c_neg_y);
            fprintf(fid,'set mu_f_neg_y [expr %g] \n',handles.mu_f_neg_y);            
            fclose(fid);
        end
    end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Plot Analysis results%%%%%%%%%%%%%%%%%%%%%%%%
cla(handles.axes3)
axes(handles.axes3)
set(handles.axes3, 'XTickMode', 'auto', 'XTickLabelMode', 'auto')
set(handles.axes3, 'YTickMode', 'auto', 'YTickLabelMode', 'auto')

if ~isempty(handles.flag_for_ida)
    mm=handles.ida;
    save([handles.pwd_opening,'/osees/simplestSDOF/',handles.nameIDA],'-struct','mm')
    clear mm
    if get(handles.radiobutton14,'value')==1
        infEDP_lim=[handles.infEDP,handles.infdr];  
        [~,~,~,~,~]=run_IDA_plot_NoSpo2frag(handles.ida,1,1,[],handles.Nvals,infEDP_lim,handles.relaxNaNs,handles.fitcode,handles.valpopup1,handles.T_2_tint,handles.damp_2_tint,1,handles.EDP_choosen);
    else
        sax=(handles.fy/(handles.T^2/(4*pi^2)*(handles.fy/handles.deltay)))/9.81;
        say=(handles.fy_y/(handles.T_y^2/(4*pi^2)*(handles.fy_y/handles.deltay_y)))/9.81;
        y_val=[handles.deltay,handles.deltay_y,sax,say];
        infEDP_lim=[handles.infEDP,handles.infdr];  
        [~,~,handles.cv_IDA,~,~]=run_IDA_plot_NoSpo2frag_2dir(handles.ida,handles.pwd_opening,y_val,[],handles.Nvals,infEDP_lim,handles.relaxNaNs,0,handles.valpopup1,handles.T_2_tint,handles.damp_2_tint,handles.IM_choosen,handles.EDP_choosen);
    end
end
if ~isempty(handles.flag_cyclic) | ~isempty(handles.flag_for_dyn)
    lim=handles.mu_f*handles.deltay;
    lim_neg=handles.mu_f*(handles.fy_neg/(handles.fy/handles.deltay));
%     [h]=fn_plot_cyclic(handles.pwd_opening,lim,handles.valpopup1,handles.fy,handles.deltay,handles.fy_neg,handles.cyc);
%     hold on
%     [~,~,~,~,~] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.valpopup1,0);
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    if get(handles.popupmenu2,'value')==1     
        [~,~,~,~,~] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.mu_c_neg,handles.mu_f_neg,[get(handles.popupmenu1,'value')],0,handles.flag_bil);
        hold on
        [h]=fn_plot_cyclic(handles.pwd_opening,lim,[get(handles.popupmenu1,'value')],handles.fy,handles.deltay,handles.fy_neg,1,handles.cyc);
    else       
        [~,~,~,~,~] = fn_plot_backbone(handles.fy_y,handles.deltay_y,handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y,handles.fy_neg_y,handles.mu_c_neg_y,handles.mu_f_neg_y,[get(handles.popupmenu1,'value')],0,handles.flag_bil); 
        hold on
        [h]=fn_plot_cyclic(handles.pwd_opening,lim,[get(handles.popupmenu1,'value')],handles.fy_y,handles.deltay_y,handles.fy_neg_y,2,handles.cyc);
    end
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    set(gca,'children',flipud(get(gca,'children')))
    if handles.flag_bil==0
        fn_set_axis_limit(gca)
    end
end
if ~isempty(handles.flag_for_msa)
    mm=handles.msa;
    save([handles.pwd_opening,'/osees/simplestSDOF/',handles.nameMSA],'-struct','mm')
    clear mm
    if get(handles.radiobutton14,'value')==1
        fy_min=min(abs(handles.fy_neg),handles.fy);
        k=handles.fy/handles.deltay;
        mass=handles.T^2/(4*pi^2)*k;
        if isempty(handles.disp_lim)
            [handles.EDP_act]=fn_plotMSA(handles.msa,handles.infEDP,handles.T,handles.damp,0,handles.valpopup1,fy_min,mass,handles.deltay,handles.msa.per,handles.msa.zeta,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
        else
            [handles.EDP_act]=fn_plotMSA(handles.msa,handles.infEDP,handles.T,handles.damp,1,handles.valpopup1,fy_min,mass,handles.deltay,handles.msa.per,handles.msa.zeta,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
        end
    else
            % Minor valore di snervamento nelle 2 direzioni:
            fy_min_x=min(abs(handles.fy_neg),handles.fy);
            fy_min_y=min(abs(handles.fy_neg_y),handles.fy_y);
            kx=handles.fy/handles.deltay;
            mass_x=handles.T^2/(4*pi^2)*kx;
            ky=handles.fy_y/handles.deltay_y;
            mass_y=handles.T_y^2/(4*pi^2)*ky;
            cd([handles.pwd_opening,'\osees\simplestSDOF\'])
            data_=load([handles.nameMSA,'.mat']);
            cd(handles.pwd_opening)
            if isempty(handles.disp_lim)
            [handles.EDP_act]=fn_plotMSA_2dir(data_,handles.infEDP,0,get(handles.popupmenu1,'value'),fy_min_x,fy_min_y,mass_x,mass_y,handles.deltay,handles.deltay_y,data_.per,data_.zeta,data_.direction_IM,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
            else
            [handles.EDP_act]=fn_plotMSA_2dir(data_,handles.infEDP,1,get(handles.popupmenu1,'value'),fy_min_x,fy_min_y,mass_x,mass_y,handles.deltay,handles.deltay_y,data_.per,data_.zeta,data_.direction_IM,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
            end        
    end
end
if ~isempty(handles.flag_for_B2B)
        mm=handles.B2B;
        save([handles.pwd_opening,'/osees/simplestSDOF/',handles.nameB2B],'-struct','mm')
        clear mm
        infEDP_lim=[handles.infEDP,handles.infdr];
        [~,~,~,~,~]=run_IDA_plot_NoSpo2frag(handles.B2B,handles.pwd_opening,handles.deltay,[],handles.Nvals_B2B,infEDP_lim,handles.relaxNaNs_B2B,handles.fitcode_B2B,handles.valpopup1,handles.T_2_tint_B2B,handles.damp_2_tint_B2B,1,handles.EDP_choosen);

end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
