% clc
% clear all
% close all
% B2B IDA: prima devo lanciare una IDA per ricavare il fattore di scala per
% avere un drift specifico al quale applicare poi il record e dal quale far
% poi partire le IDA
% IDA per ricavare fattore di scala:
if isdeployed==0
    addpath(pwd_opening);
    addpath(strcat(pwd_opening,'\','sdof'))
    addpath(strcat(pwd_opening,'\','util'))
    addpath(strcat(pwd_opening,'\','osees'))
    addpath(strcat(pwd_opening,'\','osees\util'))
    addpath(strcat(pwd_opening,'\','runIDA'))
end
handles_main.flag_for_msa=[];
% L'unico setappdata che uso oltre a quello per handles_main  il seguente:
setappdata(0,'flag_for_msa',handles_main.flag_for_msa)
recorddir=[pwd_opening,'\osees\records'];
recorddir=strrep(recorddir,'\','/');
a.My=handles_main.fy;
a.My_neg=handles_main.fy_neg;
a.fi_y=handles_main.deltay;
a.ah=handles_main.ah;  
a.mu_c=handles_main.mu_c;
a.ac=-handles_main.ac;
a.rp=handles_main.rp;
a.mu_f=handles_main.mu_f;
a.mu_c_neg=handles_main.mu_c_neg;
a.mu_f_neg=handles_main.mu_f_neg;
a.drift=handles_main.disp_2_scale_B2B;
nameIDA='prova_IDA_scfact_2';
% Utili solo in caso di p4:
a.iniSa=0.05;
a.incSa=0.05;
a.Th_drift=handles_main.disp_2_scale_B2B*1.05;
a.Th_Sa=20;
a.maxrpr=150;
a.flag_for_tail=1;
anlsdir=strcat(pwd_opening,'\osees\simplestSDOF');
filename_new=handles_main.filename_new_Dyn_B2B;
cd(pwd_opening)
fid=fopen([pwd_opening,'/osees/simplestSDOF/analysistype.tcl'],'wt');
fprintf(fid,'%s \n','set analysistype "dynamic"');
fclose(fid);
runIDA_simplestSDOF(anlsdir,recorddir,a,degstr,handles_main.T,handles_main.damp,0,nameIDA,filename_new);
%%
ida_for_sf=load([pwd_opening,'\osees\simplestSDOF\',nameIDA,'.mat']);
% Interpola
handles.infdr=handles_main.disp_2_scale_B2B*1.6;
handles.relaxNaNs=1;
handles.fitcode=1;
handles.Nvals=500;
cd([pwd_opening,'\bundle_postIDA'])
[sa_range,qdr,cv,drval,newval,saval,dr_range]=run_IDA_plot_NoSpo2frag(ida_for_sf,1,1,[],handles.Nvals,handles.infdr,handles.relaxNaNs,handles.fitcode,2,[],[],[]);
% EDP_int=linspace(0,(handles_main.disp_2_scale_B2B*1.2),10000);
% for i=1:length(cv)
%     i
%     IM_x_nan{i}=x2y_s(EDP_int,cv{i});
%     IM_x{i}=x2y_s(EDP_int,cv{i});
%     in=find(isnan(IM_x{i}));
%         if isempty(in)==0
%         IM_x{i}(in)=IM_x{i}(in(1)-1);
%         end
%     points_IM_x_SDOF(i)=(interp1(EDP_int,IM_x{i},a.drift));
% end
points_IM_x_SDOF=interp1(dr_range,saval',a.drift);
% figure;
% % for i=1:length(IM_x)
%     plot(dr_range,saval,'color',[.5 .5 .5])
%     hold on
%     plot(ones(1,2)*a.drift,[0 max(points_IM_x_SDOF)],'r')
%     hold on
%     plot(ones(1,length(points_IM_x_SDOF))*a.drift,points_IM_x_SDOF,'o')
%     grid on
% end
cd(pwd_opening)
a.scale_factor=points_IM_x_SDOF'./ida_for_sf.record_saxy;
%%
clear ida_for_sf sa_range qdr cv tsvalues tdvalues
delete([pwd_opening,'\osees\simplestSDOF\',nameIDA,'.mat'])
delete([pwd_opening,'\osees\simplestSDOF\','tempsave_',nameIDA,'.mat'])
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if isdeployed==0
    addpath(pwd_opening);
    addpath(strcat(pwd_opening,'\','sdof'))
    addpath(strcat(pwd_opening,'\','util'))
    addpath(strcat(pwd_opening,'\','osees'))
    addpath(strcat(pwd_opening,'\','osees\util'))
    addpath(strcat(pwd_opening,'\','osees\records'))
    addpath(strcat(pwd_opening,'\','runB2B'))
end
if isempty(handles_main.filename_new_B2B)
    handles_main.filename_new_B2B=handles_main.filename_new_Dyn_B2B;
end

% if isempty(handles_main.ind_for_B2B_rec)
    filename_IDA=handles_main.filename_new_B2B;
% else
%     filename_IDA=handles_main.filename_new_B2B(handles_main.ind_for_B2B_rec);
% end
a.Th_drift=handles_main.Th_drift_B2B;
anlsdir=strcat(pwd,'\osees\simplestSDOF');
nameIDA_B2B=handles_main.nameB2B;
a.iniSa=handles_main.iniSa_B2B;
a.incSa=handles_main.incSa_B2B;
a.Th_Sa=handles_main.Th_Sa_B2B;
a.maxrpr=handles_main.maxrpr_B2B;
a.flag_for_noSam=handles_main.flag_for_noSam;
if a.flag_for_noSam==1 & (length(filename_IDA)>=length(filename_new))
     [ind_]=fn_check_B2B_analysis(filename_IDA,filename_new);   
     handles_main.ind_for_B2B_rec=[];
     filename_IDA=filename_IDA(ind_);
%      handles_main.filename_new_B2B=filename_IDA;
end

fid=fopen([pwd_opening,'/osees/simplestSDOF/analysistype.tcl'],'wt');
fprintf(fid,'%s \n','set analysistype "D2IDA"');

 fclose(fid);
runDYN_IDA_simplestSDOF(anlsdir,recorddir,a,degstr,handles_main.T,handles_main.damp,0,nameIDA_B2B,filename_IDA,filename_new,0,handles_main.ind_for_B2B_rec)


%  raggruppa tutte le IDA per tutte le analisi (m*n dati)
for i=1:length(a.scale_factor)
    load([handles_main.nameB2B,'_',num2str(i),'.mat']);
        b2b_mod.dvalues(1,(i*length(dvalues)-(length(dvalues)-1)):length(dvalues)*i)=dvalues;
        b2b_mod.max_res_x(1,(i*length(res_x)-(length(res_x)-1)):length(res_x)*i)=res_x;
        b2b_mod.svalues(1,(i*length(dvalues)-(length(dvalues)-1)):length(dvalues)*i)=svalues;
        if ~isempty(handles_main.ind_for_B2B_rec) | (a.flag_for_noSam==1 & (length(filename_IDA)>=length(filename_new)))
            b2b_mod.thfilename(i,:)=thfilename;
%             b2b_mod.rinfo_(1,(i*length(rinfo_)-(length(rinfo_)-1)):length(rinfo_)*i)=rinfo_;
        else
%             b2b_mod.rinfo_=rinfo_;
        end
%         b2b_mod.transout(1,(i*length(dvalues)-(length(dvalues)-1)):length(dvalues)*i)=transout;
end
clear rinfo_
for i=1:length(filename_IDA)
      [rinfo_{i}.acc,rinfo_{i}.dt,NPTS{i}] =parseAT2_all(filename_IDA{i});
end
b2b_mod.rinfo_=rinfo_;
b2b_mod.T_periods=T_periods;
b2b_mod.record_pgaxy=record_pgaxy;
b2b_mod.record_psaxy=record_psaxy;
b2b_mod.record_saxy=record_saxy;
b2b_mod.thfilename_ALL=filename_IDA;
if isempty(handles_main.ind_for_B2B_rec)
    b2b_mod.thfilename=filename_IDA;
end
b2b_mod.runs=runs;

% if isempty(handles_main.ind_for_B2B_rec)
%     b2b_mod.thfilename(i,:)=thfilename
% end

% Save residual transient displacement
for i=1:length(a.scale_factor)
    load(['tempsave_',handles_main.nameB2B,'_',num2str(i),'.mat']);
    res(i,:)=ones(1,length(thfilename))*transout{1}{2}.res_dyn;
end
res=res';
b2b_mod.res_dyn=res(:);
save(handles_main.nameB2B,'-struct','b2b_mod')
delete([handles_main.nameB2B,'_','*.mat'])
delete(['tempsave_',handles_main.nameB2B,'_','*.mat'])
clear b2b_mod
b2b=load([handles_main.nameB2B,'.mat']);
for i=1:length(b2b.dvalues)
    for j=1:length(b2b.dvalues{i})
        b2b.dvalues{i}(j)=b2b.dvalues{i}(j)+abs(b2b.res_dyn(i));
    end
end
% b2b=load([handles_main.nameB2B,'.mat']);
% for i=1:length(b2b.dvalues)
%     for j=1:length(b2b.dvalues{i})
%         b2b.dvalues{i}(j)=b2b.dvalues{i}(j)+handles_main.disp_2_scale_B2B;
%     end
% end

save(nameIDA_B2B,'-struct','b2b')
clear b2b